<h4>Add New Film</h4>

<form [formGroup]="newFilmForm" (ngSubmit)="onSubmit()">
  <div class="form-row">
    <div class="form-group col-12 col-md-4">
      <label for="name">Film name</label>
      <input
        id="name"
        type="text"
        class="form-control"
        formControlName="name">
    </div>
    <div class="form-group col-12 col-md-4">
      <label for="prev">Previous Film</label>
      <input
        id="prev"
        type="text"
        class="form-control"
        formControlName="prev">
    </div>
    <div class="form-group col-12 col-md-4">
      <label for="next">Next Film</label>
      <input
        id="next"
        type="text"
        class="form-control"
        formControlName="next">
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-12 col-md-4">
      <label for="note">Film description</label>
      <input
        id="note"
        type="text"
        class="form-control"
        formControlName="note">
    </div>

    <div class="form-group col-12 col-md-4">
      <label for="path">Path to film file</label>
      <input
        id="path"
        type="text"
        class="form-control"
        formControlName="path">
    </div>

    <div class="form-group col-6 col-md-4">
      <label for="year">Year</label>
      <input
        id="year"
        type="number"
        class="form-control"
        min="1920" step="1"
        formControlName="year">
      <!-- <span
        *ngIf="!findFilmForm.get('year').valid && findFilmForm.get('year').touched"
        class="help-block">Please enter year greater than 1920</span> -->
    </div>
  </div>
  <div class="form-row">

    <div class="form-group">
      <label for="file">File input</label>
      <input
        type="file"
        class="form-control-file"
        id="file"
        formControlName="file">
    </div>

    <div class="form-check form-check-inline">
      <input
        class="form-check-input"
        type="checkbox"
        id="f-state"
        formControlName="f-state">
      <label class="form-check-label" for="f-state">1</label>
    </div>
    <div class="form-check form-check-inline">
      <input
        class="form-check-input"
        type="checkbox"
        id="c-state"
        formControlName="c-state">
      <label class="form-check-label" for="c-state">2</label>
    </div>

  </div>
  <div class="form-row">
    <div class="form-group col-6 col-md-2">
      <button
        type="submit"
        class="btn btn-primary mb-2"
        style="width: 100%;">Create</button>
    </div>
  </div>
</form>